[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: DBD for Postgres for Alpha (Sid) recompiled

Le Mon, Aug 27, 2001 at 04:44:14PM -0500, Gunnar Wolf écrivait:
> > > Hi,
> > >
> > > Here is the package for DBD for Postgres 7.1 running on Sid on an Alpha.
> > > The package currently on Sid is broken.
> >
> > I can do absolutely nothing with that, why is the alpha package broken ?
> > What problem do you experience ? What did you to correct it ?
> >
> > If you need a binary-only recompile, then ask on
> > debian-alpha@lists.debian.org for that.
> Hi,
> I fixed it already with the package I sent you.

Yes, but I can do nothing with a package that has been compiled by someone
outside of Debian. A debian maintainer need to do a binary-only recompile
for alpha (ie increment the version to 1.01-1.0.1, compile, sign &

Since I don't have any alpha to do that myself, i'll ask it on
debian-alpha (cced, and i let many context for those readers). Please can
someone with root access on a alpha machine upload binary-only recompile
of libdbd-pg-perl with the latest libs on sid (postgresql-dev in
particular) ?

> I think the DBD that is
> currently on Sid was compiled against an older version of Postgres
> The problems I experienced? Here it is:
> $ perl
> use DBI;
> $dbh=DBI->connect("dbi:Pg:dbname='base'",'user','passwd') or die $!;
> install_driver(Pg) failed: DBI/DBD internal structure mismatch (dr:144/152, db:144/152, st:184/192, fd:128/128), you probably need to rebuild the DBD driver (or possibly the DBI).
> Compilation failed in require at (eval 1) line 3.
>  at - line 1

Raphaël Hertzog -+- http://strasbourg.linuxfr.org/~raphael/
Le bouche à oreille du Net : http://www.beetell.com
Naviguer sans se fatiguer à chercher : http://www.deenoo.com
Formation Linux et logiciel libre : http://www.logidee.com

Reply to: